2018-04-18 04:41 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26641

Description

In an embedded form of a n:m relation - if one deletes the last linked feature (with Delete Feature), the data of the last feature still remains

in the embedded form.

However, if one unlinks the last linked feature, the embedded form is correctly cleared.

It is suggested that after deletion of the last related feature, that the form is fully cleared, like in the unlink case.

See 4 screenshots attached: first two: deletion, 3 and 4: unlinking

Associated revisions

Revision 6a6a8dda - 2018-06-21 09:49 PM - Matthias Kuhn 

Reset embedded form when last feature is removed

Fix #18754

History

#1 - 2018-06-21 09:49 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6a6a8dda55b2737d9362dc0b5d02176c087ffeb5.
